# Get Usage Stats

> GET /masking/stats — aggregate usage statistics (calls, minutes, cost) for a date range.

Source: https://edesy.in/docs/number-masking/api-reference/usage-stats

```
GET /masking/stats
```

Returns aggregate usage statistics for a date range. Defaults to the last 30 days.

## Query parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `start_date` | RFC3339 datetime | No | Start of the period (inclusive). |
| `end_date` | RFC3339 datetime | No | End of the period (inclusive). |

## Request

```bash
curl 'https://voice-api.edesy.in/v1/masking/stats?start_date=2026-05-01T00:00:00Z&end_date=2026-05-31T23:59:59Z' \
  -H "Authorization: Bearer vp_YOUR_API_KEY"
```

```python
import requests

response = requests.get(
    "https://voice-api.edesy.in/v1/masking/stats",
    headers={"Authorization": "Bearer vp_YOUR_API_KEY"},
    params={"start_date": "2026-05-01T00:00:00Z", "end_date": "2026-05-31T23:59:59Z"},
)
print(response.json())
```

## Responses

**`200` — Usage aggregates**

```json
{
  "data": {
    "total_sessions": 0,
    "active_sessions": 0,
    "total_mappings": 0,
    "total_calls": 142,
    "total_minutes": 287.5,
    "total_cost": 431.25,
    "answered_calls": 138,
    "failed_calls": 4
  }
}
```
